# Pagination

Some of our endpoints supports pagination. This can be achieved by passing specific params in the request **query** string. As an example, the code bellow showcases how to use this feature when using the [GET /deposits](/api/reference/deposits.md#get-deposits) endpoint.

#### Example Call

{% tabs %}
{% tab title="Request" %}

```javascript
// PAGINATED

GET [ENVIRONMENT HOSTNAME]/deposits?page[number]=1&page[size]=1
```

{% endtab %}

{% tab title="Response" %}

```
{
    "total": 1,
    "data": [
        {
            "id": "b22d80d9-0e14-4e4f-8101-881dd7138bc5",
            "identity_id": "7c8867d7-b9b8-40de-86c7-f4a8e4ee566d",
            "amount": "12.000000000000",
            "currency": "USD",
            "blockchain_address": "0x6257EaCbB030ed1B33d11Aa841B2511B1B444937",
            "message": null,
            "status": "waiting",
            "funds_transfer_details": null,
            "reference": null,
            "transferInformation": {
        		    "transferType": "wire",
        		    "bankAccountName": "Josh Smith",
        		    "bankAccountNumber": "38231823182318219",
        		    "routingNumber": "312323123"
        	  },
            "web_hook_url": "https://enfp40vp60yhq.x.pipedream.net",
            "external_id": null,
            "external_system": null,
            "integ_status": "waiting",
            "integ_messages": null,
            "created_at": "2019-11-08T12:19:53.219Z",
            "updated_at": "2019-11-08T12:19:53.219Z"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

**The following endpoints supports pagination:**

* [GET /identities](/api/reference/identities.md#get-identities)
* [GET /identities/:id/deposits](/api/reference/identities.md#get-identities-id-deposits)
* [GET /identities/:id/withdrawals](/api/reference/identities.md#get-identities-id-withdrawals)
* [GET /identities/:id/documents](/api/reference/identities.md#get-identities-id-documents)
* [GET /identities/:id/verifications](/api/reference/identities.md#get-identities-id-verifications)
* [GET /identities/:id/identity-relations](/api/reference/identities.md#get-identities-id-identity-relations)
* [GET /documents](/api/reference/documents.md#get-documents)
* [GET /withdrawals](/api/reference/withdrawals.md#get-withdrawals)
* [GET /verifications](/api/reference/verifications.md#get-verifications)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.publicmint.io/api/reference/pagination.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
